<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.base.mapper.CommonMapper">

    <select id="getExistsNum" parameterType="map" statementType="CALLABLE">
          {
              #{count,mode=OUT,jdbcType=NUMERIC}=call existsnum(
                  #{tableName,mode=IN,jdbcType=VARCHAR},
                  #{tableColumn,mode=IN,jdbcType=VARCHAR},
                  #{columnValue,mode=IN,jdbcType=VARCHAR},
                  #{parentId,mode=IN,jdbcType=VARCHAR},
                  #{sysId,mode=IN,jdbcType=VARCHAR}
              )
          }
  </select>

    <select id="getCodeName" resultType="string" parameterType="java.util.Map">
        select notes from TF_SMPN_CODE_X where key=#{key} and value=#{value}
    </select>
</mapper>
